petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetApplicationContext

Gets a user context from a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetApplicationContext(DM dm,void *ctx)

Not Collective Many br

### Input Parameter

dm -the DM object Many br

### Output Parameter

ctx -the user context Many br

Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex35.c.html
src/snes/examples/tutorials/ex48.c.html